﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using Android.Views;
using Android.Graphics;
using System;
using Android.Content;
using Android.Text;

namespace GettingStarted
{
	[Activity (Label = "GettingStarted", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
		SfDataGrid sfGrid;
        ViewModel viewModel;

		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);

            viewModel = new ViewModel();
			sfGrid = new SfDataGrid (this);
            sfGrid.AutoGenerateColumns = true;
            sfGrid.AllowSorting = true;
            sfGrid.SelectionMode = SelectionMode.Multiple;
            sfGrid.FrozenRowsCount = 2;
            sfGrid.FrozenColumnsCount = 2;
            sfGrid.ItemsSource = viewModel.OrdersInfo;
            SetContentView(sfGrid);
        }
    }
}


